- Usage periods (with the option to automatically delete the card after the defined period)
- ATM withdrawals (only for physical cards)
- Days of the week
- Vendor categories
Usage Periods
This configuration is intended for card usage on scheduled dates, with the option to automatically delete the card after the defined period. The start and end date indicate the window this card will be active, and the start and end time indicate what time of the day it will be possible to use it.startDate: Specifies the starting date to enable the card for usage, in the format YYYY-MM-DD.endDate: Specifies the ending date to enable the card for usage, in the format YYYY-MM-DD.startTime: Specifies the starting time to use the card date to enable the card for usage, in the format HH:MMendTime: Specifies the ending time to use the card date to enable the card for usage, in the format HH:MMenableAutoDeletion: A boolean flag that indicates if the card will be automatically deleted after the period expiry.
ATM Withdrawals
This configuration applies only to physical cards and allows the cardholder to withdraw the specified amount from an ATM.- atmCashLimit: Specifies the amount that can be withdrawn from ATM.
- Applies only to physical cards
Days of the Week
This configuration is indicated to cards daily operations and without a scheduled date to end.values: A list of values that indicates the days of the week. Allowed values, always in uppercase.- MONDAY
- TUESDAY
- WEDNESDAY
- THURSDAY
- FRIDAY
- SATURDAY
- SUNDAY
allowedDaysOfUse: true or false (boolean)
Vendor Categories
This configuration is used to restrict the category of the vendor where the card can make expenses.values: A list of values that indicates the categories. Allowed values, always in uppercase.- RETAIL
- OFFICE
- OTHERS
- HEALTH
- ENTERTAINMENT
- SPECIALTY_STORES
- TEIXTILE_PRODUCTS
- SOFTWARE_AND_HARDWARE
- ELECTRONICS
- SUBSCRIPTIONS
- FOOD
- BARS_OR_ALCOHOLIC_BEVERAGES
- GOVERNMENT_PAYMENTS
- CHARITY_AND_SOCIAL
- PROFESSIONAL_SERVICES
- REAL_ESTATE
- TRANSPORTATION
- CAR_RENTALS
- TRAVEL_AND_LODGING
- FUEL_GOODS
- COMMUNICATION
- DIGITAL_ADS
- DIGITAL_COMMERCE
- CONTRACTORS_AND_CONSTRUCTION
- SPECIAL_SERVICES
- EDUCATION
- JEWELRY_CASINOS_AND_FINES
allowedMerchants: true = allow, false = restrict (boolean)
Retrieve Card Configuration
To fetch the current configuration of a specific card: Endpoint:GET /api/v2/cards/{uuid}/configurations
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
uuid | path | string (UUID) | ✅ | Card UUID |
CardConfigurationResponse object with the same structure as the create/update request body: period, atmCashLimit, weekdays, and merchants.
Example Response:
